#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf5-kconfig
Version		:	5.107.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Persistent platform-independent application settings.
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks


Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	mesa-devel
BuildRequires	:	kf5-rpm-macros
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtx11extras-devel
BuildRequires	:	qt5-qtwayland-devel

#-----------------------------------------------------------------------------
%description
KConfig provides an advanced configuration system. It is made of two parts:
KConfigCore and KConfigGui.

KConfigCore provides access to the configuration files themselves. It features:

- Code generation: describe your configuration in an XML file, and use
  `kconfig_compiler to generate classes that read and write configuration
  entries.
- Cascading configuration files (global settings overridden by local settings).
- Optional shell expansion support (see [docs/options.md](@ref options)).
- The ability to lock down configuration options (see
  [docs/options.md](@ref options)).

KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

#-----------------------------------------------------------------------------
%files			-f %{sname}5_qt.lang
%defattr(-,root,root,-)
%doc README.md
%license LICENSES/*.txt
%{_kf5_bindir}/kreadconfig5
%{_kf5_bindir}/kwriteconfig5
%{_kf5_libexecdir}/kconf*
%{_kf5_libdir}/libKF5ConfigCore.so.5*
%{_kf5_libdir}/libKF5ConfigGui.so.5*
%{_kf5_libdir}/libKF5ConfigQml.so.5*
%{_kf5_datadir}/qlogging-categories5/%{sname}.categories
%{_kf5_datadir}/qlogging-categories5/%{sname}.renamecategories

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf5_includedir}/KConfig/%{sname}_version.h
%{_kf5_includedir}/KConfigCore/*
%{_kf5_includedir}/KConfigGui/*
%{_kf5_includedir}/KConfigQml/*
%{_kf5_libdir}/libKF5ConfigCore.so
%{_kf5_libdir}/libKF5ConfigGui.so
%{_kf5_libdir}/libKF5ConfigQml.so
%{_kf5_libdir}/cmake/KF5Config/*.cmake
%{_kf5_archdatadir}/mkspecs/modules/qt_KConfigCore.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KConfigGui.pri

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=OFF					\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

%find_lang_kf5 %{sname}5_qt

#-----------------------------------------------------------------------------
%changelog
